jackrabbit-oak-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Davide Giannella (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (OAK-6941) Compatibility matrix for oak-run compact
Date Tue, 06 Feb 2018 09:58:00 GMT

     [ https://issues.apache.org/jira/browse/OAK-6941?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Davide Giannella updated OAK-6941:
----------------------------------
    Fix Version/s:     (was: 1.8.2)

> Compatibility matrix for oak-run compact
> ----------------------------------------
>
>                 Key: OAK-6941
>                 URL: https://issues.apache.org/jira/browse/OAK-6941
>             Project: Jackrabbit Oak
>          Issue Type: Documentation
>          Components: doc, run, segment-tar
>            Reporter: Valentin Olteanu
>            Priority: Major
>              Labels: documentation, tooling
>             Fix For: 1.9.0, 1.10, 1.8.3
>
>
> h4. Problem statement
> For compacting the segmentstore using {{oak-run}}, the safest option is to use the same
version of {{oak-run}} as the Oak version used to generate the repository. Yet, sometimes,
a newer {{oak-run}} version is recommended to benefit of bug fixes and improvements, but not
every combination of source repo and oak-run is safe to use and the user needs a way to check
the compatibility. Thus, the users need a tool that guides the decision of which version to
use.
> h4. Requirements
> * Easy to decide what {{oak-run}} version should be used for a certain Oak version
> * Up to date with the latest releases
> * Machine readable for scripting
> * Include details on the benefits of using a certain version (release notes)
> * Blacklist of versions that should not be used (with alternatives)
> h4. Solution
> TBD



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message